Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2022-05-02 13:42:53

starzabove
Member
Registered: 2004-04-13
Posts: 76

[SOLVED] Errors upgrading to 4.8.8

On every textpattern page I get three things:

1.
User_Error “Duplicate entry ‘upm_img_popper_show_width-’ for key ‘prefs_idx’”
in /home1/MYUSERNAME/public_html/textpattern/lib/txplib_db.php at line 453.

2.
textpattern/lib/txplib_admin.php:772 adminErrorHandler()
updateErrorHandler()
textpattern/lib/txplib_db.php:453 trigger_error()
textpattern/lib/txplib_db.php:588 safe_query()
textpattern/update/_to_4.7.0.php:59 safe_alter()
textpattern/update/_update.php:101 include()
textpattern/index.php:177 include()

3.
I get the green box at the bottom that says: A new Textpattern version (4.8.8) has been installed.

I’ve deleted the upm_img_popper plugin.
I’ve checked and repaired the database in phpMyAdmin.
And the preflight check says that 4.8.8 is available to download, even though I can’t get #3 to go away, as after clicking the x in the green box, the next page I go to and it is there again.

Thanks for any help.

Last edited by starzabove (2022-05-03 01:23:46)


90+ Textpattern installs and still going…

Offline

#2 2022-05-02 15:23:46

Dragondz
Moderator
From: Algérie
Registered: 2005-06-12
Posts: 1,477
Website GitHub Twitter

Re: [SOLVED] Errors upgrading to 4.8.8

Hi
Can you check the diagnostic page and see if something wrong?
I suspect that the upload of the new txp version was incomplete.
Cheers.

Offline

#3 2022-05-02 19:43:45

starzabove
Member
Registered: 2004-04-13
Posts: 76

Re: [SOLVED] Errors upgrading to 4.8.8

Hello, and thanks for responding!
I’d already re-uploaded everything, but I did it again just now, and nothing changed.
Here’s a screenshot of the diagnostics page:
screenshot

Last edited by starzabove (2022-05-02 19:49:28)


90+ Textpattern installs and still going…

Offline

#4 2022-05-02 20:58:32

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 10,790
Website GitHub

Re: [SOLVED] Errors upgrading to 4.8.8

Sounds to me as if the upm_image_popper plugin borked your upgrade process and, even though the plugin’s been deleted, the prefs have been left behind which is continuing to prevent the upgrade from completing.

Hop into your SQL editor of choice (e.g. phpMyAdmin) and either browse for any offending upm_image_popper prefs values/indexes and delete them, or issue an SQL command to find and destroy them. Then try visiting any admin panel to complete the upgrade.


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

#5 2022-05-03 01:24:49

starzabove
Member
Registered: 2004-04-13
Posts: 76

Re: [SOLVED] Errors upgrading to 4.8.8

That was it – all is good now!

Thank you so much, Bloke and Dragondz!!!


90+ Textpattern installs and still going…

Offline

Board footer

Powered by FluxBB